Bug 1480764 - oc should use websockets for exec, port forward, logs, and attach
oc should use websockets for exec, port forward, logs, and attach
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Samuel Padgett
Xiaoli Tian
:
Depends On: 1379327
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 16:23 EDT by Ryan Howe
Modified: 2018-01-25 16:35 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1379327
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github kubernetes/kubernetes/issues/48633 None None None 2017-08-11 16:23 EDT
Red Hat Knowledge Base (Solution) 3149531 None None None 2017-11-16 18:04 EST

  None (edit)
Description Ryan Howe 2017-08-11 16:23:17 EDT
SPDY is a dead protocol, at this time there is better support for WebSockets. We should switch `oc` to only use web sockets until go has more support around using http/2. 

https://github.com/kubernetes/kubernetes/issues/48633
https://github.com/kubernetes/kubernetes/issues/7452

Note You need to log in before you can comment on or make changes to this bug.